**[Paper Dashboard 2 PRO](https://creative-tim.com/live/paper-dashboard-2-pro)** is a beautiful Bootstrap 4 admin dashboard with a large number of components, designed to look neat and organised. If you are looking for a tool to manage and visualise data about your business, this dashboard is the thing for you. It combines colours that are easy on the eye, spacious cards, beautiful typography and graphics. Paper Dashboard 2 PRO comes packed with all plugins that you might need inside a project and documentation on how to get started. It is light and easy to use, and also very powerful.

We made it our priority to not add things that you don't need, so the  **[Paper Dashboard 2 PRO](https://creative-tim.com/live/paper-dashboard-2-pro)** comes with just enough features for you to easily use. It combines multiple components and plugins and features numerous example of how it can be used. Inside the archive, you will also find multiple example pages to get you start or provide inspiration.

Paper Dashboard 2 PRO is the extended version of Paper Dashboard (https://www.creative-tim.com/product/paper-dashboard-2-pro). Based on feedback from people that downloaded and used it, we have added needed components and we have created multiple examples pages. We are curious to see how you want to use it and also improve it, so let us know any feedback you have.

**Bootstrap 4 Support**

**[Paper Dashboard 2 PRO](https://creative-tim.com/live/paper-dashboard-2-pro)** is built on top of Bootstrap 4, so it fully supports it. Most of the elements from the dashboard are re-designed to resemble sheets of paper and color pastels. If the are elements that we have not touched, they will gracefully fall back to the Bootstrap 4 default.

Let us know what you think and what we can improve below. And good luck with development!

```
Paper Dashboard 2 PRO

├── CHANGELOG.md
├── README.md
├── assets
│   ├── css/
│   │   ├── bootstrap.min.css
│   │   ├── bootstrap.min.css.map
│   │   ├── paper-dashboard.css
│   │   ├── paper-dashboard.css.map
│   │   └── paper-dashboard.min.css
│   ├── demo/
│   │   ├── demo.css
│   │   └── demo.js
│   ├── fonts/
│   │   ├── nucleo-icons.eot
│   │   ├── nucleo-icons.ttf
│   │   ├── nucleo-icons.woff
│   │   └── nucleo-icons.woff2
│   ├── img/
│   ├── js/
│   │   ├── core/
│   │   │   ├── bootstrap.min.js
│   │   │   ├── jquery.min.js
│   │   │   └── popper.min.js
│   │   ├── paper-dashboard.js
│   │   ├── paper-dashboard.js.map
│   │   ├── paper-dashboard.min.js
│   │   └── plugins/
│   └── scss
│       ├── paper-dashboard/
│       │   ├── cards/
│       │   ├── mixins/
│       │   └── plugins/
│       └── paper-dashboard.scss
├── docs/
│   └── documentation.html
├── examples/
│   ├── dashboard.html
│   ├── calendar.html
│   ├── charts.html
│   ├── components/
│   │   ├── buttons.html
│   │   ├── grid.html
│   │   ├── icons.html
│   │   ├── notifications.html
│   │   ├── panels.html
│   │   ├── sweet-alert.html
│   │   └── typography.html
│   ├── forms/
│   │   ├── extended.html
│   │   ├── regular.html
│   │   ├── validation.html
│   │   └── wizard.html
│   ├── maps/
│   │   ├── fullscreen.html
│   │   ├── google.html
│   │   └── vector.html
│   ├── pages/
│   │   ├── lock.html
│   │   ├── login.html
│   │   ├── register.html
│   │   ├── timeline.html
│   │   └── user.html
│   ├── tables/
│   │   ├── datatables.net.html
│   │   ├── extended.html
│   │   └── regular.html
│   └── widgets.html
├── gulpfile.js
├── nucleo-icons.html
└── package.json
```
## Getting started
- Download the project’s zip
- Make sure you have node.js (https://nodejs.org/en/) installed
- Type `npm install` in terminal/console in the source folder where `package.json` is located
- You will find all the branding colors inside `assets/scss/core/variables/_brand.scss`. You can change them with a HEX value or with other predefined variables from `assets/scss/core/variables/_colors.scss`
- Run in terminal `gulp compile-scss` for a single compilation or gulp watch for continous compilation of the changes that you make in `*.scss` files. This command should be run in the same folder where `gulpfile.js` and `package.json` are located
- Run in terminal `gulp open-app` for opening the Presentation Page (default) of the product. You can set in `gulpfile.js` from your downloaded archive any page you want to open in browser, `at line 30: gulp.src('./examples/dashboard.html')`


## Useful Links

More products from Creative Tim: <http://www.creative-tim.com/bootstrap-themes>

Tutorials: <https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w>

Freebies: <https://www.creative-tim.com/bootstrap-themes/free>

Affiliate Program (earn money): <http://www.creative-tim.com/affiliates/new>

Social Media:

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>

[CHANGELOG]: ./CHANGELOG.md
[LICENSE]: ./LICENSE
[version-badge]: https://img.shields.io/badge/version-1.0.1-blue.svg
[license-badge]: https://img.shields.io/badge/license-MIT-blue.svg
